Public Member Functions

# wxAuiManagerEvent Class Reference
[Events, Window Docking (wxAUI)]

`#include <wx/aui/framemanager.h>`

Inheritance diagram for wxAuiManagerEvent:
[legend]

## Detailed Description

Event used to indicate various actions taken with wxAuiManager.

See wxAuiManager for available event types.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxAuiManagerEvent& event)

Event macros:

- EVT_AUI_PANE_BUTTON(func):
  Triggered when any button is pressed for any docked panes.
- EVT_AUI_PANE_CLOSE(func):
  Triggered when a docked or floating pane is closed.
- EVT_AUI_PANE_MAXIMIZE(func):
  Triggered when a pane is maximized.
- EVT_AUI_PANE_RESTORE(func):
  Triggered when a pane is restored.
- EVT_AUI_RENDER(func):
  This event can be caught to override the default renderer in order to custom draw your wxAuiManager window (not recommended).

##

Library: wxAui
Category: Events, Window Docking (wxAUI)

See also:
  wxAuiManager, wxAuiPaneInfo

## Public Member Functions
| wxAuiManagerEvent (wxEventType type=wxEVT_NULL)
| Constructor.
bool | CanVeto ()
int | GetButton ()
wxDC * | GetDC ()
bool | GetVeto ()
wxAuiManager * | GetManager ()
wxAuiPaneInfo * | GetPane ()
void | SetButton (int button)
| Sets the ID of the button clicked that triggered this event.
void | SetCanVeto (bool can_veto)
| Sets whether or not this event can be vetoed.
void | SetDC (wxDC *pdc)
void | SetManager (wxAuiManager *manager)
| Sets the wxAuiManager this event is associated with.
void | SetPane (wxAuiPaneInfo *pane)
| Sets the pane this event is associated with.
void | Veto (bool veto=true)
| Cancels the action indicated by this event if CanVeto() is true.

List of all members.

## Constructor & Destructor Documentation

wxAuiManagerEvent::wxAuiManagerEvent | ( | wxEventType | type = `wxEVT_NULL` | ) |

Constructor.

## Member Function Documentation

bool wxAuiManagerEvent::CanVeto | ( |  | ) |

Returns:
  true if this event can be vetoed.

See also:
  Veto()

int wxAuiManagerEvent::GetButton | ( |  | ) |

Returns:
  The ID of the button that was clicked.

wxDC* wxAuiManagerEvent::GetDC | ( |  | ) |

Todo:
  What is this?

wxAuiManager* wxAuiManagerEvent::GetManager | ( |  | ) |

Returns:
  The wxAuiManager this event is associated with.

wxAuiPaneInfo* wxAuiManagerEvent::GetPane | ( |  | ) |

Returns:
  The pane this event is associated with.

bool wxAuiManagerEvent::GetVeto | ( |  | ) |

Returns:
  true if this event was vetoed.

See also:
  Veto()

void wxAuiManagerEvent::SetButton | ( | int | button | ) |

Sets the ID of the button clicked that triggered this event.

void wxAuiManagerEvent::SetCanVeto | ( | bool | can_veto | ) |

Sets whether or not this event can be vetoed.

void wxAuiManagerEvent::SetDC | ( | wxDC * | pdc | ) |

Todo:
  What is this?

void wxAuiManagerEvent::SetManager | ( | wxAuiManager * | manager | ) |

Sets the wxAuiManager this event is associated with.

void wxAuiManagerEvent::SetPane | ( | wxAuiPaneInfo * | pane | ) |

Sets the pane this event is associated with.

void wxAuiManagerEvent::Veto | ( | bool | veto = `true` | ) |

Cancels the action indicated by this event if CanVeto() is true.

|  | [ top ]